osl::eval::ml::KingXBlocked3 Class Reference

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Types | Static Public Member Functions | Static Private Member Functions | Static Private Attributes | Friends | List of all members
osl::eval::ml::KingXBlocked3 Class Reference

`#include <king8.h>`

Collaboration diagram for osl::eval::ml::KingXBlocked3:
[legend]

## Public Types
enum | { ONE_DIM = 80, DIM = ONE_DIM * EvalStages }

## Static Public Member Functions
static MultiInt | eval (const NumEffectState &state)
static void | setUp (const Weights &weights)

## Static Private Member Functions
template<int Sign>
static void | adjust (int index_y, MultiInt &result)
template<Player P>
static int | index (const Square king, bool is_l, bool u_blocked, bool opp_u_blocked, bool opp_blocked)
template<Player P>
static int | indexY (const Square king, bool is_l, bool u_blocked, bool opp_u_blocked, bool opp_blocked)

## Static Private Attributes
static CArray< MultiInt, 80 > | table
static CArray< MultiInt, 720 > | y_table

## Friends
class | KingXBlocked3Y

## Detailed Description

Definition at line 292 of file eval/ml/king8.h.

## Member Enumeration Documentation

anonymous enum

Enumerator
ONE_DIM |
DIM |

Definition at line 296 of file eval/ml/king8.h.

## Member Function Documentation

template<int Sign>

static void osl::eval::ml::KingXBlocked3::adjust | ( | int | index_y,
|  | MultiInt & | result
| ) |  |
| inlinestaticprivate

Definition at line 301 of file eval/ml/king8.h.

References y_table.

MultiInt osl::eval::ml::KingXBlocked3::eval | ( | const NumEffectState & | state) |  |
| static

Definition at line 965 of file eval/ml/king8.cc.

References adjust(), osl::BLACK, result, and osl::WHITE.

Referenced by osl::eval::ml::OpenMidEndingEval::debugInfo(), osl::eval::ml::OpenMidEndingEval::OpenMidEndingEval(), and osl::eval::ml::OpenMidEndingEval::updateSub().

template<Player P>

static int osl::eval::ml::KingXBlocked3::index | ( | const Square | king,
|  | bool | is_l,
|  | bool | u_blocked,
|  | bool | opp_u_blocked,
|  | bool | opp_blocked
| ) |  |
| inlinestaticprivate

Definition at line 309 of file eval/ml/king8.h.

References osl::BLACK, osl::WHITE, and osl::Square::x().

template<Player P>

static int osl::eval::ml::KingXBlocked3::indexY | ( | const Square | king,
|  | bool | is_l,
|  | bool | u_blocked,
|  | bool | opp_u_blocked,
|  | bool | opp_blocked
| ) |  |
| inlinestaticprivate

Definition at line 328 of file eval/ml/king8.h.

References osl::BLACK, osl::WHITE, osl::Square::x(), and osl::Square::y().

void osl::eval::ml::KingXBlocked3::setUp | ( | const Weights & | weights) |  |
| static

Definition at line 936 of file eval/ml/king8.cc.

References osl::NStages, and osl::eval::ml::Weights::value().

## Friends And Related Function Documentation

friend class KingXBlocked3Y
| friend

Definition at line 294 of file eval/ml/king8.h.

## Member Data Documentation

osl::misc::CArray< MultiInt, 80 > osl::eval::ml::KingXBlocked3::table
| staticprivate

Definition at line 348 of file eval/ml/king8.h.

Referenced by osl::eval::ml::KingXBlocked3Y::setUp().

osl::misc::CArray< MultiInt, 720 > osl::eval::ml::KingXBlocked3::y_table
| staticprivate

Definition at line 349 of file eval/ml/king8.h.

Referenced by adjust(), and osl::eval::ml::KingXBlocked3Y::setUp().

The documentation for this class was generated from the following files:

- eval/ml/king8.h
- eval/ml/king8.cc